Bug 868343 - Seam2.3 mail only a single attachment is attached to a mail
Seam2.3 mail only a single attachment is attached to a mail
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.1.0
Unspecified Unspecified
unspecified Severity high
: CR1
: 2.1.0
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 10:36 EDT by Marek Schmidt
Modified: 2013-06-07 09:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-6650 Major Closed Problem sending an email with multiple recipients and attachments in <ui:repeat> 2012-11-22 04:05:24 EST
JBoss Issue Tracker JBSEAM-5055 Major Closed only a single attachment is attached to a mail 2013-06-07 09:54:55 EDT

  None (edit)
Description Marek Schmidt 2012-10-19 10:36:28 EDT
Description of problem:

Using Seam Mail to send a message with multiple attachments, results in a mail with only a single attachment. 

Version-Release number of selected component (if applicable):
jboss-seam-2.3.0.Final-redhat-1

How reproducible:

Always

Steps to Reproduce:
1. Start a local MTA on port 25
2. Change examples/mail/mail-web/src/main/webapp/WEB-INF/components.xml mail-session port to 25
3. build and deploy the mail example
4. go to http://127.0.0.1:8080/seam-mail/index.seam
5. fill name and address (e.g. user@localhost)
6. click Send a simple email with attachment
  
Actual results:
the mail received contains only a single attachment.

Expected results:
the mail received should contain multiple attachments (e.g. some photos,  numbers.csv, a xls file and whyseam.pdf)

Additional info:
Comment 3 Marek Novotny 2012-10-31 12:18:06 EDT
Fixed in https://source.jboss.org/changelog/Seam?cs=15337
Comment 4 JBoss JIRA Server 2012-10-31 16:13:25 EDT
Marek Novotny <mnovotny@redhat.com> updated the status of jira JBSEAM-5055 to Resolved
Comment 5 JBoss JIRA Server 2012-10-31 16:13:25 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira JBSEAM-5055

fixed
Comment 8 Karel Piwko 2012-11-30 10:34:07 EST
Distributed as a part of WFK 2.1.0.GA release.
Comment 9 JBoss JIRA Server 2013-06-07 09:55:02 EDT
Marek Novotny <mnovotny@redhat.com> updated the status of jira JBSEAM-5055 to Closed
Comment 10 JBoss JIRA Server 2013-06-07 09:55:02 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira JBSEAM-5055

2.3.1.CR1 is now out, so closing all resolved issues

Note You need to log in before you can comment on or make changes to this bug.